job_name: SR-IR QEMU on x86_64
timeouts:
  job:
    minutes: 300
  action:
    minutes: 300
  connection:
    minutes: 20
visibility: public
priority: medium
device_type: x86
actions:
- deploy:
    role:
    - target
    timeout:
      minutes: 10
    to: tftp
    kernel:
      url: http://people.linaro.org/~ilias.apalodimas/images/ubuntu-focal-lts/vmlinuz
    nfsrootfs:
      url: http://people.linaro.org/~ilias.apalodimas/images/ubuntu-focal-lts/binary.tar.xz
      prefix: media/
      compression: xz
    ramdisk:
      url: http://people.linaro.org/~ilias.apalodimas/images/ubuntu-focal-lts/initrd.img
    os: debian
- boot:
    role:
    - target
    timeout:
      minutes: 45
    method: ipxe
    commands: nfs
    parameters:
      shutdown-message: 'reboot: Restarting system'
    auto_login:
      login_prompt: 'login:'
      username: linaro
      password_prompt: 'Password:'
      password: linaro
      login_commands:
      - sudo su -
    prompts:
    - root@(.*)
    - linaro@(.*)
- test:
    role:
    - target
    timeout:
      minutes: 300
    definitions:
    - repository: https://git.linaro.org/ledge/lava-test-definitions.git
      from: git
      path: execs/ubuntu-build-essential.yaml
      name: deps
    - repository: https://git.linaro.org/ledge/lava-test-definitions.git
      from: git
      path: execs/sr-ir.yaml
      name: sr-ir
